.gram {
  border: 1px solid #818181;
  border-radius: 4px;
  margin-bottom: 20px;
  overflow: hidden;
}

.reberrygram-wrap {
  /*display : grid;*/
  /*grid-template-columns: repeat(4,1fr);*/
  /*gap : 16px;*/
  margin-top: 40px;
  padding-top: 40px;
  @media screen and (max-width: 768px) {
    margin-top: 0;
    padding-top: 0;
  }
}

.gram .content {
  font-weight: 700;
  padding: 0 8px 0 8px;
}

.gram .content pre {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  height: 210px;
  /*overflow-y: auto;*/
  -webkit-line-clamp: 10;
  line-height: 1.5;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: pre-wrap;
  width: 100%;
}

.pc {
  display: grid;
}

.mobile {
  display: none;
}

/* pagination */
.page {
  border-radius: 4px;
  height: 36px;
  width: 36px;
}

.page.on {
  background-color: #1c1c1c;
  color: #fff;
}

.page .icon {
  height: 13px;
  width: 7.5px;
}

.pagination {
  align-items: center;
  display: flex;
  gap: 16px;
  justify-content: center;
  margin: 50px 0;
}

@media screen and (max-width: 1016px) {
  .wrap {
    margin-left: auto;
    margin-right: auto;
    width: 95%;
  }
}

@media screen and (max-width: 768px) {
  .gram {
    margin-bottom: 10px;
  }

  /*.reberrygram-wrap{*/
  /*    gap : 8px;*/
  /*    grid-template-columns: repeat(2, 1fr);*/
  /*}*/
  /*.pc{*/
  /*    display : none;*/
  /*}*/
  .mobile {
    display: grid;
  }

}

@media screen and (max-width: 480px) {

  .page {
    height: 20px;
    width: 20px;
  }
}

/*리베리그램 CSS 수정*/
.grid-item {
  background-color: #ffffff;
  /*width: calc((100% - 30px) / 4);*/
  border: 1px solid #ededed;
  /*box-shadow: rgba(0, 0, 0, 0.1) 0px 1px 2px 0px;*/
  border: none;
  margin-bottom: 10px;
}

.grid-item .nick-box {
  align-items: center;
  border-bottom: 1px solid #ededed;
  display: flex;
  gap: 8px;
  justify-content: space-between;
  padding: 8px;
}

.grid-item .nick-box > div {
  display: flex;
  gap: 4px;
}

.grid-item .nick-box .icon-box {
  align-items: center;
  border-radius: 50%;
  display: flex;
  height: 24px;
  justify-content: center;
  overflow: hidden;
  width: 24px;
}

.grid-item .nick-box .icon-box img {
  width: 16px;
}

.grid-item .nick-box .nick-txt {
  font-size: 16px;
  font-weight: 500;
}

.grid-item .nick-box .nick-txt {
  height: 24px;
  margin-top: 2px;
}

.grid-item .nick-box .nick-txt img {
  height: 100%;
}

.grid-item .title-box {
  align-items: center;
  display: flex;
  justify-content: space-between;
  padding: 8px;
}

.grid-item .title-box span {
  font-weight: 700;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.grid-item .title-box .icon-box {
  align-items: center;
  border-radius: 50%;
  display: flex;
  height: 24px;
  justify-content: center;
  overflow: hidden;
  width: 24px;
}

.grid-item .title-box .icon-box img {
  width: 16px;
}

.grid-sizer, .grid-item {
  transition: 0.2s;
  /*width: 25%;*/
  width: calc((100% - 30px) / 4);
}

.grid-item:hover {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}

.grid-item .image {
  align-items: center;
  aspect-ratio: 1;
  display: flex;
  justify-content: center;
  /*border-top: 1px solid #f7f7f7;*/
  /*border-bottom: 1px solid #f7f7f7;*/
  /*border-radius: 4px;*/
  overflow: hidden;
  /*background-color: #f7f7f7;*/
  /*padding: 0 8px;*/
}

.grid-item .image img {
  height: 100%;
  width: auto;
}

.grid-item--width2 {
  box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 0px 1px;
  width: 400px;
}

.grid-item .comment-box {
  align-items: center;
  display: flex;
  gap: 8px;
  justify-content: space-between;
  padding: 8px;
}

.grid-item .comment-box > div {
  display: flex;
  gap: 4px;
}

.grid-item .comment-box .icon-box {
  align-items: center;
  border-radius: 50%;
  display: flex;
  height: 24px;
  justify-content: center;
  overflow: hidden;
  width: 24px;
}

.grid-item .comment-box .icon-box img {
  width: 16px;
}

.grid-item .comment-box .nick-txt {
  font-size: 16px;
  font-weight: 500;
}

.grid-item .time-box {
  color: #737373;
  font-size: 12px;
  padding: 8px 8px;
}

.reberrygram-box.mansory.grid > a {
  height: fit-content;
  width: fit-content;
}

@media screen and (max-width: 768px) {
  .grid-sizer, .grid-item {
    width: calc((100% - 10px) / 2);
    /*width: 25%;*/
  }

  .gram {
    border-radius: 8px;
  }

  .grid-item .image {
    border-radius: 8px;
  }
}